<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Display 7 segmenti (singolo) + Buzzer attivo" identificatoreArgomento="TimerSemplice" prerequisiti="digitalOutput" tags="Base,DigitalOutput,Software" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" tempoRichiesto="0" versione="2">
    <mdprerequisitelist>I/O digitale</mdprerequisitelist>
    <mdcomponentlist>Display 7 segmenti</mdcomponentlist>
    <mdcomponentlist>Buzzer</mdcomponentlist>
    <mdcomponentlist>7 resistori da 220 ohm, per alimentazione a 5V</mdcomponentlist>
    <mdwhy>Mostrare all'utente il progresso di un'operazione in corso e non solo l'esito.</mdwhy>
    <mdexpectedresult>Costruire un timer che fa il conto alla rovescia, da 9 a 0 e suona al termine</mdexpectedresult>
    <mdextras></mdextras>
    <mderraticbehavior></mderraticbehavior>
    <mdcommonerrors>Inversione collegamenti LED</mdcommonerrors>
    <mdlessonlearned>Individuare la polarità dei LED e il modo corretto di gestire un display a 7 segmenti a catodo comune o anodo comune.</mdlessonlearned>
    <mdsolution>Collegare il polo positivo del buzzer attivo a un GPIO in modalità OUTPUT e il negativo a massa, se il buzzer ha un consumo &gt; di 20mA, servirà un resistore tra il GPIO e il positivo del buzzer, oppure si dovrà utilizzare un transistor BJT come driver.&#13;
In caso di modulo buzzer seguire le indicazioni sul modulo.&#13;
&#13;
&#13;
Il display può essere ad Anodo comune o Catodo comune.&#13;
&#13;
Per display a Catodo comune collegare:&#13;
- Catodo connesso a Gnd&#13;
- terminali di ciascun segmento connessi con un resistore a un GPIO digitale&#13;
&#13;
Per display a Anodo comune collegare:&#13;
- Anodo connesso a Vcc&#13;
- terminali di ciascun segmento connessi con un resistore a un GPIO digitale</mdsolution>
    <mdpbldetails></mdpbldetails>
</itemFormativoEsercizio>
